import { h } from "@stencil/core";
export class BpSdkInterviewToolbar {
    constructor() {
        this.useExternal = false;
    }
    resetState() { }
    connectedCallback() {
        this.resetState();
    }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-interview-toolbar');
        customElements.whenDefined('bp-sdk-external-interview-toolbar').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
    }
    renderExternal() {
        return h("bp-sdk-external-interview-toolbar", null);
    }
    renderInternal() {
        return (h("div", { class: "bp-sdk-interview-toolbar__container" }, h("bp-sdk-take-over-container", null)));
    }
    static get is() { return "bp-sdk-interview-toolbar"; }
    static get originalStyleUrls() {
        return {
            "$": ["./bp-sdk-interview-toolbar.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["bp-sdk-interview-toolbar.css"]
        };
    }
    static get states() {
        return {
            "useExternal": {}
        };
    }
}
